Apache Tomcat 6.0.51

## org.apache.jk.config
Interface WebXml2Jk.MappingGenerator

All Known Implementing Classes:
  GeneratorApache2, GeneratorJk1, GeneratorJk2

Enclosing class:
  WebXml2Jk

    public static interface WebXml2Jk.MappingGenerator

Method Summary
`void` | `generateConstraints(java.util.Vector urls, java.util.Vector methods, java.util.Vector roles, boolean isSSL)`
`void` | `generateEnd()`
`void` | `generateErrorPage(int err, java.lang.String location)`
`void` | `generateFilterMapping(java.lang.String servlet, java.lang.String url)`
`void` | `generateLoginConfig(java.lang.String loginPage, java.lang.String errPage, java.lang.String authM)`
`void` | `generateServletMapping(java.lang.String servlet, java.lang.String url)`
`void` | `generateStart()` Start section( vhost declarations, etc )
`void` | `setWebXmlReader(WebXml2Jk wxml)`

Method Detail

### setWebXmlReader

    void setWebXmlReader(WebXml2Jk wxml)

### generateStart

    void generateStart()
                       throws java.io.IOException

  Start section( vhost declarations, etc )

  Throws:
    `java.io.IOException`

### generateEnd

    void generateEnd()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateServletMapping

    void generateServletMapping(java.lang.String servlet,
                                java.lang.String url)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateFilterMapping

    void generateFilterMapping(java.lang.String servlet,
                               java.lang.String url)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateLoginConfig

    void generateLoginConfig(java.lang.String loginPage,
                             java.lang.String errPage,
                             java.lang.String authM)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateErrorPage

    void generateErrorPage(int err,
                           java.lang.String location)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateConstraints

    void generateConstraints(java.util.Vector urls,
                             java.util.Vector methods,
                             java.util.Vector roles,
                             boolean isSSL)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.